function _define_property(obj, key, value) {
    if (key in obj) {
        Object.defineProperty(obj, key, {
            value: value,
            enumerable: true,
            configurable: true,
            writable: true
        });
    } else {
        obj[key] = value;
    }
    return obj;
}
function _object_spread(target) {
    for(var i = 1; i < arguments.length; i++){
        var source = arguments[i] != null ? arguments[i] : {};
        var ownKeys = Object.keys(source);
        if (typeof Object.getOwnPropertySymbols === "function") {
            ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function(sym) {
                return Object.getOwnPropertyDescriptor(source, sym).enumerable;
            }));
        }
        ownKeys.forEach(function(key) {
            _define_property(target, key, source[key]);
        });
    }
    return target;
}
import React from 'react';
import { horizontalTabItemConfig, horizontalIconTabItemConfig, verticalTabItemConfig, verticalIconTabItemConfig, component, mergeConfig, fixedForwardRef } from '@salutejs/plasma-new-hope/styled-components';
import { config as horizontalConfig } from './horizontal/HorizontalTabItem.config';
import { config as horizontalIconConfig } from './horizontal/HorizontalIconTabItem.config';
import { config as verticalConfig } from './vertical/VerticalTabItem.config';
import { config as verticalIconConfig } from './vertical/VerticalIconTabItem.config';
var mergedHorizontalTabItemConfig = mergeConfig(horizontalTabItemConfig, horizontalConfig);
var HorizontalTabItem = component(mergedHorizontalTabItemConfig);
var mergedHorizontalIconTabItemConfig = mergeConfig(horizontalIconTabItemConfig, horizontalIconConfig);
var HorizontalIconTabItem = component(mergedHorizontalIconTabItemConfig);
var mergedVerticalTabItemConfig = mergeConfig(verticalTabItemConfig, verticalConfig);
var VerticalTabItem = component(mergedVerticalTabItemConfig);
var mergedVerticalIconTabItemConfig = mergeConfig(verticalIconTabItemConfig, verticalIconConfig);
var VerticalIconTabItem = component(mergedVerticalIconTabItemConfig);
/**
 * Элемент списка, недопустимо использовать вне компонента Tabs.
 */ export var TabItem = fixedForwardRef(function(props, ref) {
    if (props.orientation === 'vertical') {
        return /*#__PURE__*/ React.createElement(VerticalTabItem, _object_spread({
            ref: ref
        }, props));
    }
    return /*#__PURE__*/ React.createElement(HorizontalTabItem, _object_spread({
        ref: ref
    }, props));
});
export var IconTabItem = fixedForwardRef(function(props, ref) {
    if (props.orientation === 'vertical') {
        return /*#__PURE__*/ React.createElement(VerticalIconTabItem, _object_spread({
            ref: ref
        }, props));
    }
    return /*#__PURE__*/ React.createElement(HorizontalIconTabItem, _object_spread({
        ref: ref
    }, props));
});
